#!/bin/sh
#
# Used to send an email
# Param 1:   address
# Param 2-n: message parts
#

# Save env vars
TEMP=TEMP$!
TO=$1
DATE=`date --rfc-2822`
# Mail variables
URL=smtps://your.mailserver.com:465
FROM=yourNAS@yourmail.com
USER=yourMailUser
PW=yourMailPassword

LOGFILE=$0.log

# create message
MSG=`date +'%Y_%m_%d %H:%M.%S'`
shift
while [ "$*" != "" ]
do
  MSG="$MSG $1"
  shift
done

if [ "$DEBUG" = "1" ]
then
  echo "">>$LOGFILE
  echo To: $TO>>$LOGFILE
  echo Subject: Radius message>>$LOGFILE
  echo Date: $DATE>>$LOGFILE
  echo Message: $MSG>>$LOGFILE
else
  printf "From: $FROM\r\nTo: $TO\r\nSubject: Radius message\r\nDate: $DATE\r\n\r\n$MSG">$TEMP.txt
  /bin/curl --url $URL --ssl-reqd --mail-from $FROM --mail-rcpt $TO --upload-file $TEMP.txt --user $USER:$PW --insecure
  rm $TEMP.txt
fi
