#!/bin/sh
#
# run the commandline version
# you need to pass all parameters
#

APP_PATH="/var/packages/taRadiusSrv/target"
PORT=1812
SECRET=yourSecretForThisMachine
USER=$1
PW=$2

# find java
# old JavaManager
if [ -e "/var/packages/JavaManager/target/Java/jre/bin/java" ]; then
  JAVA=/var/packages/JavaManager/target/Java/jre/bin/java
fi
# old Java SE for Embedded 7, http://pcloadletter.co.uk/
if [ -e "/var/packages/java7/target/jre/bin/java" ]; then
  JAVA=/var/packages/java7/target/jre/bin/java
fi
# Synology Java 7
if [ -e "/var/packages/Java7/target/j2sdk-image/jre/bin/java" ]; then
  JAVA=/var/packages/Java7/target/j2sdk-image/jre/bin/java
fi
# Synology Java 8
if [ -e "/var/packages/Java8/target/j2sdk-image/jre/bin/java" ]; then
  JAVA=/var/packages/Java8/target/j2sdk-image/jre/bin/java
fi

${JAVA} -cp ${APP_PATH}/evecl-gui.jar Eve ${APP_PATH}/tools/taRadiusClient/taRadiusClient.eve localhost ${PORT} ${SECRET} ${USER} ${PW} &

